package com.srs.diagnostic.mapper;

import java.util.List;

import com.srs.diagnostic.domain.DiaReportDetails;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 诊断报告Mapper接口
 *
 * @author srs
 * @date 2025-05-08
 */
public interface DiaReportDetailsMapper extends BaseMapper<DiaReportDetails> {
    /**
     * 查询诊断报告
     *
     * @param id 诊断报告主键
     * @return 诊断报告
     */
    public DiaReportDetails selectDiaReportDetailsById(Long id);

    /**
     * 查询诊断报告列表
     *
     * @param diaReportDetails 诊断报告
     * @return 诊断报告集合
     */
    List<DiaReportDetails> selectDiaReportDetailsList(DiaReportDetails diaReportDetails);

        /**
     * 批量新增诊断报告
     *
     * @param list 批量新增诊断报告
     * @return 结果
     */
        int batchInsertReportDetailsByHierarchy( List<DiaReportDetails> list);

//修改名字
     void updateStudentNameFromNickName(DiaReportDetails diaReportDetails);



    /**
     * 批量保存或更新
     * @param list
     * @return
     */
//
    int batchUpdate(List<DiaReportDetails> list);

    /**
     * 新增诊断报告
     *
     * @param diaReportDetails 诊断报告
     * @return 结果
     */
    int insertDiaReportDetails(DiaReportDetails diaReportDetails);

    /**
     * 修改诊断报告
     *
     * @param diaReportDetails 诊断报告
     * @return 结果
     */
    int updateDiaReportDetails(DiaReportDetails diaReportDetails);

    /**
     * 删除诊断报告
     *
     * @param id 诊断报告主键
     * @return 结果
     */
    int deleteDiaReportDetailsById(Long id);

    /**
     * 批量删除诊断报告
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteDiaReportDetailsByIds(Long[] ids);

    /**
     * 新增学生信息
     *
     * @param list 需要删除的数据主键集合
     * @return 结果
     */
//    int insertDiaStudentInfo(List<DiaReportDetails> list);
}
